Skip to main content
POST
/
core.v1.ResourceService
/
CreateNativeUserV2
cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/CreateNativeUserV2" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "nativeUser": {
    "id": "<string>",
    "resourceId": "<string>",
    "username": "<string>",
    "secret": "<string>",
    "useAsDefault": true,
    "terminationProtection": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "basic": {
      "username": "<string>",
      "usernameIsEnv": true,
      "password": "<string>",
      "passwordIsEnv": true
    },
    "httpApiKey": {
      "location": "HTTP_API_KEY_LOCATION_HEADER",
      "key": "<string>",
      "value": "<string>"
    },
    "httpBasic": {
      "header": "<string>",
      "username": "<string>",
      "password": "<string>"
    },
    "httpBearer": {
      "header": "<string>",
      "token": "<string>"
    },
    "iam": {
      "type": "IAM_NATIVE_USER_TYPE_AWS",
      "role": "<string>",
      "username": "<string>"
    },
    "kubernetes": {
      "kubeconfigEnv": "<string>"
    },
    "rdp": {
      "username": "<string>",
      "password": "<string>",
      "domain": "<string>"
    },
    "snowflakeKey": {
      "username": "<string>",
      "key": "<string>"
    },
    "sshKey": {
      "username": "<string>",
      "key": "<string>"
    }
  }
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json

Exactly one of these fields is required: basic or http_api_key or http_basic or http_bearer or iam or kubernetes or rdp or snowflake_key or ssh_key.

resourceId
string
Minimum string length: 1
useAsDefault
boolean
terminationProtection
boolean
basic
basic · object

One of the discriminated union fields - use exactly one

httpApiKey
http_api_key · object

One of the discriminated union fields - use exactly one

httpBasic
http_basic · object

One of the discriminated union fields - use exactly one

httpBearer
http_bearer · object

One of the discriminated union fields - use exactly one

iam
iam · object

One of the discriminated union fields - use exactly one

kubernetes
kubernetes · object

One of the discriminated union fields - use exactly one

rdp
rdp · object

One of the discriminated union fields - use exactly one

snowflakeKey
snowflake_key · object

One of the discriminated union fields - use exactly one

sshKey
ssh_key · object

One of the discriminated union fields - use exactly one

Response

Success

nativeUser
native_user · object

Exactly one of these fields is required: basic or http_api_key or http_basic or http_bearer or iam or kubernetes or rdp or snowflake_key or ssh_key.